version: '2.2'

services:
  lyrics:
    build: ./servicios
    command: gunicorn --bind 0.0.0.0:5000 lyrics:create_app()
    volumes:
      - lyrics_prod:/instance
    expose:
      - 5000
#    env_file:
#      - ./.env.prod

  nginx:
    build: ./servicios/nginx
    ports:
      - 1338:80
    depends_on:
      - lyrics

volumes:
  lyrics_prod:
